{{/*

    Publicatie Weergave iStandaard Estafette Model Bericht 

    Context: .Page

*/}}

{{ $berichtParams := .Params }}
{{ $berichtData := partial "istd/istd-bericht-data" (upper .File.ContentBaseName) }}

<h1>{{ $berichtData.naam }}</h1>
{{- .Content -}}

<div class="book-tabs">

    <input type="radio" class="toggle" name="bericht" id="content" />
    <label for="content">Content</label>
    <div class="book-tabs-content markdown-inner">
        <h2>Bericht Parameters</h2>
        <table>
            <tr>
                <td>
                    <b>code</b>
                </td>
                <td>
                    {{ $berichtParams.code }}
                </td>
            </tr>
            <tr>
                <td>
                    <b>releaseNummer</b>
                </td>
                <td>
                    {{ $berichtParams.releaseNummer }}
                </td>
            </tr>
            <tr>
                <td>
                    <b>xsdConfiguratieBericht</b>
                </td>
                <td>
                    versieBerichtXsd<td>{{ $berichtParams.xsdConfiguratieBericht.versieBerichtXsd }}</td>
                </td>
            </tr>
            <tr>
                <td>
                </td>
                <td>
                    minVersieBerichtXsd<td>{{ $berichtParams.xsdConfiguratieBericht.minVersieBerichtXsd }}</td>
                </td>
            </tr>
            <tr>
                <td>
                </td>
                <td>
                    maxVersieBerichtXsd<td>{{ $berichtParams.xsdConfiguratieBericht.maxVersieBerichtXsd }}</td>
                </td>
            </tr>
            <tr>
                <td>
                </td>
                <td>
                    versieBasisschemaXsd<td>{{ $berichtParams.xsdConfiguratieBericht.versieBasisschemaXsd }}</td>
                </td>
            </tr>
            <tr>
                <td>
                </td>
                <td>
                    minVersieBasisschemaXsd<td>{{ $berichtParams.xsdConfiguratieBericht.minVersieBasisschemaXsd }}</td>
                </td>
            </tr>
            <tr>
                <td>
                </td>
                <td>
                    maxVersieBasisschemaXsd<td>{{ $berichtParams.xsdConfiguratieBericht.maxVersieBasisschemaXsd }}</td>
                </td>
            </tr>

        </table>

        <h2>Bericht Klasse Parameters</h2>
        {{ range $berichtKlasse := $berichtParams.klassen }}
            <h3>{{ $berichtKlasse.naam }}</h3>
            <b>Regels: </b>{{ $berichtKlasse.regels }}
            <table>
                <tr>
                    <th>Element</th>
                    <th>Regels</th>
                </tr>
                {{ range .elementen }}
                <tr>
                    <td>
                        {{ .naam }}
                    </td>
                    <td>
                        {{ if isset . "regels" }}
                            {{ .regels }}
                        {{ end }}
                    </td>
                </tr>
                {{ end }}
            </table>

        {{ end }}

    </div>

    <input type="radio" class="toggle" name="bericht" id="model" />
    <label for="model">Model</label>
    <div class="book-tabs-content markdown-inner">
        {{ partial "diagram/bericht-diagram" $berichtData }}

        {{ "# Berichtklassen" | .RenderString }}
        {{ range $berichtData.klassen }}
            {{ $klasseNaamHeader := print "## " .naam }}
            {{ $klasseNaamHeader | markdownify }}
            <p>{{ .beschrijving }}</p>
            <table>
                <tr>
                    <th>Naam</th>
                    <th>Beschrijving</th>
                    <th>DataType</th>
                    <th>Verplicht</th>
                    <th>Sleutel</th>
                </tr>
                {{ range .elementen }}
                <tr>
                    <td>{{ .naam }}</td>
                    <td>{{ .beschrijving }}</td>
                    <td>{{ .dataType }}</td>
                    <td>{{ .verplicht }}</td>
                    <td>{{ .sleutel }}</td>
                </tr>
                {{ end }}
            </table>
        {{ end }}


        <h1>Relaties</h1>
        <table>
            <tr>
                <th>Naam</th>
                <th>ParentKlasse</th>
                <th>ChildKlasse</th>
                <th>ChildMin</th>
                <th>ChildMax</th>
            </tr>
            {{ range $berichtData.relaties }}
            <tr>
                <td>{{ .naam }}</td>
                <td>{{ .parentKlasse }}</td>
                <td>{{ .childKlasse }}</td>
                <td>{{ .childMin }}</td>
                <td>{{ .childMax }}</td>
            </tr>
            {{ end }}
        </table>
    </div>

    <input type="radio" class="toggle" name="bericht" id="xsd" checked="checked" />
    <label for="xsd">XSD</label>
    <div class="book-tabs-content markdown-inner">
        {{ $input := partial "xsd/xsd-bericht" (dict
            "berichtParams" $berichtParams
            "berichtData" $berichtData
        ) }}
        {{ $lang := "xsd" }}
        {{ $opts := dict "lineNos" "table" "style" "dracula" }}
        {{ transform.Highlight $input $lang $opts }}
    </div>

</div>